Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Dmitry Gutov <[email-masked]>
Date: Wed, 25 Oct 2023 15:54:55 +0300

On 25/10/2023 15:17, Stefan Kangas wrote:
> This will mean that a lot of users will have a Bad Time (TM) when we
> eventually change the default to lexical-binding:t.  We can help
> mitigate that pain, or we can choose not to.

There will be such users, but their number will likely be lower than 
some might expect, simply because the lexical dialect very much 
resembles how programs are written in other languages these days.

To use a feature specifically available only in dynbind (e.g. access a 
local variable from a caller function), one would really have to know 
about it. But of course there can be typos, wrong refactorings, etc, 
which could contribute.